"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Copyright 2018 Colin Doig.  Distributed under the MIT license.
 */
const Enum_1 = require("../../Enum");
class MatchProjection extends Enum_1.default {
    constructor(value = '') {
        super();
        this.setValue(value);
    }
    setValue(value) {
        if (value) {
            if (value !== 'NO_ROLLUP' &&
                value !== 'ROLLED_UP_BY_PRICE' &&
                value !== 'ROLLED_UP_BY_AVG_PRICE') {
                throw new Error(`Invalid MatchProjection: ${value}`);
            }
            this.value = value;
            this.valid = true;
        }
    }
}
exports.default = MatchProjection;
MatchProjection.NO_ROLLUP = 'NO_ROLLUP';
MatchProjection.ROLLED_UP_BY_PRICE = 'ROLLED_UP_BY_PRICE';
MatchProjection.ROLLED_UP_BY_AVG_PRICE = 'ROLLED_UP_BY_AVG_PRICE';
//# sourceMappingURL=MatchProjection.js.map