/**
 * Copyright 2018 Colin Doig.  Distributed under the MIT license.
 */
import Enum from '../../Enum';

export default class TokenType extends Enum {
    public static BEARER: string = 'BEARER';

    constructor(value: string = '') {
        super();
        this.setValue(value);
    }

    public setValue(value: string): void {
        if (value) {
            if (value !== 'BEARER') {
                throw new Error(`Invalid TokenType: ${value}`);
            }

            this.value = value;
            this.valid = true;
        }
    }
}
