/**
 * Copyright 2018 Colin Doig.  Distributed under the MIT license.
 */
import Enum from '../../Enum';

export default class Side extends Enum {
    public static BACK: string = 'BACK';
    public static LAY: string = 'LAY';

    constructor(value: string = '') {
        super();
        this.setValue(value);
    }

    public setValue(value: string): void {
        if (value) {
            if (value !== 'BACK' &&
                value !== 'LAY') {
                throw new Error(`Invalid Side: ${value}`);
            }

            this.value = value;
            this.valid = true;
        }
    }
}
